;/*************************************************************************
;** interpcom-2.4   (command interpreter)                                 **
;** lion.cmd : a program file for the command interpreter                 **
;**                                                                       **
;** Copyright (C) 2001  Jean-Marc Drezet                                  **
;**                                                                       **
;**  This library is free software; you can redistribute it and/or        **
;**  modify it under the terms of the GNU Library General Public          **
;**  License as published by the Free Software Foundation; either         **
;**  version 2 of the License, or (at your option) any later version.     **
;**									  **
;**  This library is distributed in the hope that it will be useful,      **
;**  but WITHOUT ANY WARRANTY; without even the implied warranty of       **
;**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    **
;**  Library General Public License for more details. 			  **
;**									  **
;**  You should have received a copy of the GNU Library General Public    **
;**  License along with this library; if not, write to the Free		  **
;**  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.   **
;**                                                                       **
;** Please mail any bug reports/fixes/enhancements to me at:              **
;**      drezet@math.jussieu.fr                                           **
;** or                                                                    **
;**      Jean-Marc Drezet                                                 **
;**      Institut de Mathematiques                                        **
;**      UMR 7586 du CNRS                                                 **
;**      173, rue du Chevaleret                                           **
;**      75013 Paris                                                      **
;**      France								  **
;**                                                                       **
; *************************************************************************/
;
;  This program will produce the file 'lion' in the result directory
;  To see the corresponding graphic, use GNUPLOT, with the commands :
;		set par
;		pl "lion" w l
;
:lion
1
0
-1
;
;
dt=pi/500
t=0
x0=320.
y0=90.
xx0=x0
yy0=20.
;
do i 1 1000
t=t+dt
x=320.+150.*sin(2.*t)
y=240.-150.*cos(3.*t)
xx=x+50.*sin(20.*t)
yy=y-70.*cos(20.*t)
write lion x0 y0
write lion x y
write lion xx yy
write lion xx0 yy0
write lion x0 y0
write lion x y
x0=x
y0=y
xx0=xx
yy0=yy
enddo
;
close lion
;
;

